<template>
  <a :href="link" class="details-button">
    <slot></slot>
  </a>
</template>

<script lang="ts">
import { Component, Prop, Vue } from "vue-property-decorator";

@Component
export default class DetailsButton extends Vue {
  @Prop({ required: true }) link: string;
}
</script>

<style lang="scss" scoped>
.details-button {
  display: flex;
  text-transform: uppercase;
  padding: 16px 41px;
  align-items: center;
  justify-content: center;
  max-width: fit-content;
  border: 1px solid $blue-gray;
  transition: all 0.3s;

  &:hover {
    color: $white;
    background-color: $blue-gray;
  }
}
</style>
